package app;

import java.util.ArrayList;
import java.util.List;

public class KundenService {
    private List<Kunde> kunden = new ArrayList<Kunde>();

    public void create(Kunde kunde) {
        kunden.add(kunde);
    }

    // public void update(); // TODO:

    public void delete(Kunde kunde) {
        kunden.remove(kunde);
    }

    public Kunde read(int id) {
        for (Kunde kunde : kunden) {
            if (kunde.getId() == id)
                return kunde;
        }
        return null;
    }

    public Kunde read(String name, String lastName) {
        for (Kunde kunde : kunden) {
            if (kunde.getName() == name && kunde.getLastName() == lastName)
                return kunde;
        }
        return null;
    }
}